import { EventEmitter } from '../../stencil-public-runtime';
export declare class FormControlText {
    el: HTMLElement;
    isFocused: boolean;
    name: any;
    label: string;
    inputHandler: (name: string, value: string) => void;
    defaultValue?: string;
    helpText?: string;
    errorText?: string;
    maxLength?: number;
    keyDownHandler?: (event: any) => void;
    disabled?: boolean;
    handleDefaultValueChange(newValue: string): void;
    formControlInput: EventEmitter<any>;
    formControlBlur: EventEmitter<any>;
    componentDidLoad(): void;
    handleFormControlInput: (event: any) => void;
    updateInput: (newValue: any) => void;
    private get part();
    render(): any;
}
